GET api/SurveyMonkeyIntegration/GetMSMSurveyResponse?SurveyId={SurveyId}&CollectorId={CollectorId}&ExamId={ExamId}&CorporationCode={CorporationCode}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| SurveyId | string |
Required |
|
| CollectorId | string |
Required |
|
| ExamId | string |
Required |
|
| CorporationCode | string |
Required |
Body Parameters
None.
Response Information
Resource Description
AsapResponseOfMeSurveyResponseDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | MeSurveyResponseDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"SurveyId": "sample string 2",
"CollectorId": "sample string 3",
"ResponseId": "sample string 4",
"SurveyResponse": "sample string 5",
"CreatedDate": "2026-03-21T21:48:14.6165468-07:00",
"ValidFlag": true
},
"totalCount": 3
}
application/xml, text/xml
Sample:
<AsapResponseOfMSMSurveyMonkeyDTO.MeSurveyResponseDTO9DQd0Pqc xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/ASAP_BL.Common">
<isSuccess>true</isSuccess>
<jsonObj xmlns:d2p1="http://schemas.datacontract.org/2004/07/ASAP_BL.DTO">
<d2p1:CollectorId>sample string 3</d2p1:CollectorId>
<d2p1:CreatedDate>2026-03-21T21:48:14.6165468-07:00</d2p1:CreatedDate>
<d2p1:Id>1</d2p1:Id>
<d2p1:ResponseId>sample string 4</d2p1:ResponseId>
<d2p1:SurveyId>sample string 2</d2p1:SurveyId>
<d2p1:SurveyResponse>sample string 5</d2p1:SurveyResponse>
<d2p1:ValidFlag>true</d2p1:ValidFlag>
</jsonObj>
<message>sample string 2</message>
<totalCount>3</totalCount>
</AsapResponseOfMSMSurveyMonkeyDTO.MeSurveyResponseDTO9DQd0Pqc>